#include <Foundation/NSString.h>
@interface NSFramework_StepTalk : NSObject
+ (NSString *)frameworkEnv;
+ (NSString *)frameworkPath;
+ (NSString *)frameworkVersion;
+ (NSString *const*)frameworkClasses;
@end
@implementation NSFramework_StepTalk
+ (NSString *)frameworkEnv { return nil; }
+ (NSString *)frameworkPath { return @"/usr/lib/GNUstep/Frameworks"; }
+ (NSString *)frameworkVersion { return @"0"; }
static NSString *allClasses[] = {@"STActor", @"STBehaviourInfo", @"STBundleInfo", @"STClassInfo", @"STContext", @"STConversation", @"STRemoteConversation", @"STEngine", @"STEnvironment", @"STEnvironmentDescription", @"STFileScript", @"STLanguageManager", @"STObjectReference", @"STScript", @"STScriptsManager", @"STScriptObject", @"STSelector", @"STStructure", @"STUndefinedObject", @"StepTalkScriptingInfo", NULL};
+ (NSString *const*)frameworkClasses { return allClasses; }
@end
